Skip to main content
GET
/
credits
/
transactions
Get credit transaction history
curl --request GET \
  --url https://api.veryfront.com/credits/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "user_id": "<string>",
      "type": "tier_grant",
      "pool": "tier",
      "amount": 123,
      "description": "<string>",
      "created_at": "<string>"
    }
  ],
  "page_info": {
    "self": "<string>",
    "first": null,
    "next": "<string>",
    "prev": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string
offset
integer | null
Required range: x >= 0

Response

Transaction list

data
object[]
required
page_info
object
required